.popup {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, .3);
    z-index: 99999;

    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}

.popup__entry {
    background-color: #000;
    max-width: 350px;
    width: 100%;
    border-radius: 10px;
    position: relative;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 10px 20px;
}

.popup__offer-logo {
    max-width: 100px;
    align-self: flex-end;
    padding: 5px;
    border: 3px solid #fff;
    margin-bottom: -10px;
}

.popup__offer-logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.popup__close {
    position: absolute;
    right: 10px;
    top: 10px;
    font-size: 18px;
    font-weight: 800;
    cursor: pointer;
}

.popup__title {
    padding-top: 30px;
    font-size: 20px;
    text-align: center;
    font-weight: 900;
    color: #eead28;
    text-transform: uppercase;
}

.popup__info {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #fff !important;
}

.popup__info span {
    font-size: 12px;
}

.popup__offer {
    width: 100%;
    padding: 10px 5px;
    border: 7px solid #f9a000;
    border-radius: 10px 0 10px 10px;
    background-color: #fff;
    color: #000;
}

.popup__offer-text {
    text-align: center;
    font-weight: 900;
    font-size: 16px;
    text-transform: uppercase;
}

.popup__offer-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

.popup__offer-container p {
    font-size: 20px;
}

.popup__offer-container div {
    width: 50%;
    text-align: center;
}

.popup__offer-container a {
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: blue;
    color: #fff;
    height: 50px;
    font-weight: 900;
    font-size: 18px;
    border-radius: 10px;
    transition: .4s;
    text-decoration: none;
    padding: 0 10px;
}

.popup__offer-container a:hover {
    opacity: .8;
}

.popup__body {
    position: relative;
    width: 100%;
    height: 300px;
    overflow: hidden;
}

.popup__body img {
    position: absolute;
    width: 80px;
    height: 80px;
}

.popup__body img:nth-child(1) {
    top: 50%;
    left: 50%;
    animation: circle1 5s infinite linear;
    transform-origin: -30px -30px;
}

.popup__body img:nth-child(2) {
    top: 50%;
    left: 50%;
    animation: circle2 6s infinite linear;
    transform-origin: -10px -10px;
}

.popup__body img:nth-child(3) {
    top: 50%;
    left: 50%;
    animation: circle3 7s infinite linear;
    transform-origin: -50px -50px;
}

@keyframes circle1 {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@keyframes circle2 {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@keyframes circle3 {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.fade-out {
    opacity: 0;
    transition: opacity 1s ease;
}


.popup__trigger {
    position: fixed;
    top: 70%;
    left: 0;
    transform: translateY(-50%);
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 10px;
    background-color: #000;
    border-radius: 0 20px 20px 0;
    cursor: pointer;
    z-index: 999;
}

.popup__trigger:after {
    content: "";
    position: absolute;
    width: 70%;
    height: 70%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: #BF8B20;
    z-index: -1;
    border-radius: 100%;
    filter: blur(15px);
}

.popup__trigger-close {
    position: absolute;
    right: -20px;
    top: 0;
    font-size: 16px;
    z-index: 99999;
    background-color: #BF8B20;
    border-radius: 5px;
    padding: 0 5px;
    color: #fff;
}

.popup__trigger img {
    max-width: 64px;
    max-height: 64px;
}

.popup__trigger p {
    font-weight: 900;
    text-transform: uppercase;
    font-size: 12px;
    color: #fff;
    max-width: 60px;
    text-align: center;
}

.popup__trigger-arr {
    width: 20px;
    height: 20px;
}

.popup__trigger-arr svg {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.popup__trigger-gift {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


@media (max-width: 768px) {
    .popup__trigger {
        top: 85%;
    }

    .popup__trigger-close {
        font-size: 13px;
    }

    .popup__trigger img {
        max-width: 44px;
        max-height: 44px;
    }

    .popup__trigger p {
        font-size: 8px;
    }

    .popup__trigger-arr {
        width: 15px;
        height: 15px;
    }
}
